package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFC14Data {

    private Map<String, Object> params;
    
    public MWFC14Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsProgram() {
        return (String) params.get("RS_PROGRAM");
    }

    public Long rsPocatecnistav() {
        return (Long) params.get("RS_POCATECNISTAV");
    }

    public Long rsAktualnistav() {
        return (Long) params.get("RS_AKTUALNISTAV");
    }

    public Long rsZiskanebody() {
        return (Long) params.get("RS_ZISKANEBODY");
    }

    public Long rsVycerpanebody() {
        return (Long) params.get("RS_VYCERPANEBODY");
    }

    public Long rsUpravenebody() {
        return (Long) params.get("RS_UPRAVENEBODY");
    }

    public Long rsZiskanebodyodzacatkuroku() {
        return (Long) params.get("RS_ZISKANEBODYODZACATKUROKU");
    }

    public Long rsCerpanebodyodzacatkuroku() {
        return (Long) params.get("RS_CERPANEBODYODZACATKUROKU");
    }

    public Long rsZiskanebodyodvydanikarty() {
        return (Long) params.get("RS_ZISKANEBODYODVYDANIKARTY");
    }

    public Long rsCerpanebodyodvydanikarty() {
        return (Long) params.get("RS_CERPANEBODYODVYDANIKARTY");
    }

    public String rsProgramnazev() {
        return (String) params.get("RS_PROGRAMNAZEV");
    } 

}
